#include <avr/io.h>             
#include <powerstage.h>
#include <es_seek.h>
#include <motorcontrol.h>


/*****************************************************************************
 * Function: Start_PWM
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Start_PWM()
{
	_powerstage.Power=0x7f;
	Powerstage_SetPWM();
}


/*****************************************************************************
 * Function: Start_PWM
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Stop_PWM()
{
	_powerstage.Power=0x00;
	Powerstage_SetPWM();
}


/*****************************************************************************
 * Function: Run_max_FW
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Run_max_FW()
{
	_powerstage.Period = _es_seek.FreqFW;
	Start_PWM();
}

/*****************************************************************************
 * Function: Run_max_BW
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Run_max_BW()
{
	_powerstage.Period = _es_seek.FreqBW;
	Start_PWM();
}



